/*******************************************************************************
* File Name: PIEZO.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PIEZO_ALIASES_H) /* Pins PIEZO_ALIASES_H */
#define CY_PINS_PIEZO_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define PIEZO_0			(PIEZO__0__PC)
#define PIEZO_0_PS		(PIEZO__0__PS)
#define PIEZO_0_PC		(PIEZO__0__PC)
#define PIEZO_0_DR		(PIEZO__0__DR)
#define PIEZO_0_SHIFT	(PIEZO__0__SHIFT)
#define PIEZO_0_INTR	((uint16)((uint16)0x0003u << (PIEZO__0__SHIFT*2u)))

#define PIEZO_INTR_ALL	 ((uint16)(PIEZO_0_INTR))


#endif /* End Pins PIEZO_ALIASES_H */


/* [] END OF FILE */
