/*******************************************************************************
* File Name: DSI_FAULT.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DSI_FAULT_ALIASES_H) /* Pins DSI_FAULT_ALIASES_H */
#define CY_PINS_DSI_FAULT_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define DSI_FAULT_0			(DSI_FAULT__0__PC)
#define DSI_FAULT_0_PS		(DSI_FAULT__0__PS)
#define DSI_FAULT_0_PC		(DSI_FAULT__0__PC)
#define DSI_FAULT_0_DR		(DSI_FAULT__0__DR)
#define DSI_FAULT_0_SHIFT	(DSI_FAULT__0__SHIFT)
#define DSI_FAULT_0_INTR	((uint16)((uint16)0x0003u << (DSI_FAULT__0__SHIFT*2u)))

#define DSI_FAULT_INTR_ALL	 ((uint16)(DSI_FAULT_0_INTR))


#endif /* End Pins DSI_FAULT_ALIASES_H */


/* [] END OF FILE */
