/*******************************************************************************
* File Name: PWM_Clock_HB.h
* Version 2.20
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_PWM_Clock_HB_H)
#define CY_CLOCK_PWM_Clock_HB_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/
#if defined CYREG_PERI_DIV_CMD

void PWM_Clock_HB_StartEx(uint32 alignClkDiv);
#define PWM_Clock_HB_Start() \
    PWM_Clock_HB_StartEx(PWM_Clock_HB__PA_DIV_ID)

#else

void PWM_Clock_HB_Start(void);

#endif/* CYREG_PERI_DIV_CMD */

void PWM_Clock_HB_Stop(void);

void PWM_Clock_HB_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 PWM_Clock_HB_GetDividerRegister(void);
uint8  PWM_Clock_HB_GetFractionalDividerRegister(void);

#define PWM_Clock_HB_Enable()                         PWM_Clock_HB_Start()
#define PWM_Clock_HB_Disable()                        PWM_Clock_HB_Stop()
#define PWM_Clock_HB_SetDividerRegister(clkDivider, reset)  \
    PWM_Clock_HB_SetFractionalDividerRegister((clkDivider), 0u)
#define PWM_Clock_HB_SetDivider(clkDivider)           PWM_Clock_HB_SetDividerRegister((clkDivider), 1u)
#define PWM_Clock_HB_SetDividerValue(clkDivider)      PWM_Clock_HB_SetDividerRegister((clkDivider) - 1u, 1u)


/***************************************
*             Registers
***************************************/
#if defined CYREG_PERI_DIV_CMD

#define PWM_Clock_HB_DIV_ID     PWM_Clock_HB__DIV_ID

#define PWM_Clock_HB_CMD_REG    (*(reg32 *)CYREG_PERI_DIV_CMD)
#define PWM_Clock_HB_CTRL_REG   (*(reg32 *)PWM_Clock_HB__CTRL_REGISTER)
#define PWM_Clock_HB_DIV_REG    (*(reg32 *)PWM_Clock_HB__DIV_REGISTER)

#define PWM_Clock_HB_CMD_DIV_SHIFT          (0u)
#define PWM_Clock_HB_CMD_PA_DIV_SHIFT       (8u)
#define PWM_Clock_HB_CMD_DISABLE_SHIFT      (30u)
#define PWM_Clock_HB_CMD_ENABLE_SHIFT       (31u)

#define PWM_Clock_HB_CMD_DISABLE_MASK       ((uint32)((uint32)1u << PWM_Clock_HB_CMD_DISABLE_SHIFT))
#define PWM_Clock_HB_CMD_ENABLE_MASK        ((uint32)((uint32)1u << PWM_Clock_HB_CMD_ENABLE_SHIFT))

#define PWM_Clock_HB_DIV_FRAC_MASK  (0x000000F8u)
#define PWM_Clock_HB_DIV_FRAC_SHIFT (3u)
#define PWM_Clock_HB_DIV_INT_MASK   (0xFFFFFF00u)
#define PWM_Clock_HB_DIV_INT_SHIFT  (8u)

#else 

#define PWM_Clock_HB_DIV_REG        (*(reg32 *)PWM_Clock_HB__REGISTER)
#define PWM_Clock_HB_ENABLE_REG     PWM_Clock_HB_DIV_REG
#define PWM_Clock_HB_DIV_FRAC_MASK  PWM_Clock_HB__FRAC_MASK
#define PWM_Clock_HB_DIV_FRAC_SHIFT (16u)
#define PWM_Clock_HB_DIV_INT_MASK   PWM_Clock_HB__DIVIDER_MASK
#define PWM_Clock_HB_DIV_INT_SHIFT  (0u)

#endif/* CYREG_PERI_DIV_CMD */

#endif /* !defined(CY_CLOCK_PWM_Clock_HB_H) */

/* [] END OF FILE */
