/*******************************************************************************
* File Name: WP_INH.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_WP_INH_ALIASES_H) /* Pins WP_INH_ALIASES_H */
#define CY_PINS_WP_INH_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define WP_INH_0			(WP_INH__0__PC)
#define WP_INH_0_PS		(WP_INH__0__PS)
#define WP_INH_0_PC		(WP_INH__0__PC)
#define WP_INH_0_DR		(WP_INH__0__DR)
#define WP_INH_0_SHIFT	(WP_INH__0__SHIFT)
#define WP_INH_0_INTR	((uint16)((uint16)0x0003u << (WP_INH__0__SHIFT*2u)))

#define WP_INH_INTR_ALL	 ((uint16)(WP_INH_0_INTR))


#endif /* End Pins WP_INH_ALIASES_H */


/* [] END OF FILE */
